Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.impl
Class Hl7v2PackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.hl7v2.impl.Hl7v2PackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, Hl7v2Package

    public class Hl7v2PackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements Hl7v2Package

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.hl7v2.Hl7v2Package
`Hl7v2Package.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.Hl7v2Package
`CX, CX__ASSIGNING_AUTHORITY_NAME, CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID, CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE, CX__ID_NUMBER, CX_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__CX, DOCUMENT_ROOT__DTM, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__SOURCE_PATIENT_INFO, DOCUMENT_ROOT__XAD, DOCUMENT_ROOT__XCN, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XON, DOCUMENT_ROOT__XPN, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT__XTN, DOCUMENT_ROOT_FEATURE_COUNT, DTM, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, OID, SOURCE_PATIENT_INFO_TYPE, SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS, SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH, SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER, SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME, SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS, SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME, SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX, SOURCE_PATIENT_INFO_TYPE_FEATURE_COUNT, XAD, XAD__CITY, XAD__COUNTRY, XAD__COUNTY_PARISH_CODE, XAD__OTHER_DESIGNATION, XAD__STATE_OR_PROVINCE, XAD__STREET_ADDRESS, XAD__ZIP_OR_POSTAL_CODE, XAD_FEATURE_COUNT, XCN, XCN__ASSIGNING_AUTHORITY_NAME, XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID, XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE, XCN__FAMILY_NAME, XCN__GIVEN_NAME, XCN__ID_NUMBER, XCN__OTHER_NAME, XCN__PREFIX, XCN__SUFFIX, XCN_FEATURE_COUNT, XON, XON__ASSIGNING_AUTHORITY_NAME, XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID, XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE, XON__ID_NUMBER, XON__ORGANIZATION_NAME, XON_FEATURE_COUNT, XPN, XPN__FAMILY_NAME, XPN__GIVEN_NAME, XPN__OTHER_NAME, XPN__PREFIX, XPN__SUFFIX, XPN_FEATURE_COUNT, XTN, XTN__UNFORMATTED_TELEPHONE_NUMBER, XTN_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityName()`
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityUniversalId()`
`org.eclipse.emf.ecore.EAttribute` | `getCX_AssigningAuthorityUniversalIdType()`
`org.eclipse.emf.ecore.EAttribute` | `getCX_IdNumber()`
`org.eclipse.emf.ecore.EClass` | `getCX()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Cx()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Dtm()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SourcePatientInfo()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xad()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xcn()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xon()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xpn()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Xtn()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EDataType` | `getDTM()`
`Hl7v2Factory` | `getHl7v2Factory()`
`org.eclipse.emf.ecore.EDataType` | `getOid()`
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientAddress()`
`org.eclipse.emf.ecore.EAttribute` | `getSourcePatientInfoType_PatientDateOfBirth()`
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientIdentifier()`
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientName()`
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientPhoneBusiness()`
`org.eclipse.emf.ecore.EReference` | `getSourcePatientInfoType_PatientPhoneHome()`
`org.eclipse.emf.ecore.EAttribute` | `getSourcePatientInfoType_PatientSex()`
`org.eclipse.emf.ecore.EClass` | `getSourcePatientInfoType()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_City()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_Country()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_CountyParishCode()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_OtherDesignation()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_StateOrProvince()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_StreetAddress()`
`org.eclipse.emf.ecore.EAttribute` | `getXAD_ZipOrPostalCode()`
`org.eclipse.emf.ecore.EClass` | `getXAD()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityName()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityUniversalId()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_AssigningAuthorityUniversalIdType()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_FamilyName()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_GivenName()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_IdNumber()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_OtherName()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_Prefix()`
`org.eclipse.emf.ecore.EAttribute` | `getXCN_Suffix()`
`org.eclipse.emf.ecore.EClass` | `getXCN()`
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityName()`
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityUniversalId()`
`org.eclipse.emf.ecore.EAttribute` | `getXON_AssigningAuthorityUniversalIdType()`
`org.eclipse.emf.ecore.EAttribute` | `getXON_IdNumber()`
`org.eclipse.emf.ecore.EAttribute` | `getXON_OrganizationName()`
`org.eclipse.emf.ecore.EClass` | `getXON()`
`org.eclipse.emf.ecore.EAttribute` | `getXPN_FamilyName()`
`org.eclipse.emf.ecore.EAttribute` | `getXPN_GivenName()`
`org.eclipse.emf.ecore.EAttribute` | `getXPN_OtherName()`
`org.eclipse.emf.ecore.EAttribute` | `getXPN_Prefix()`
`org.eclipse.emf.ecore.EAttribute` | `getXPN_Suffix()`
`org.eclipse.emf.ecore.EClass` | `getXPN()`
`org.eclipse.emf.ecore.EAttribute` | `getXTN_UnformattedTelephoneNumber()`
`org.eclipse.emf.ecore.EClass` | `getXTN()`
`static Hl7v2Package` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static Hl7v2Package init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `Hl7v2Package.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCX

    public org.eclipse.emf.ecore.EClass getCX()

  Specified by:
    `getCX` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'CX'.
  See Also:
    `CX`

### getCX_IdNumber

    public org.eclipse.emf.ecore.EAttribute getCX_IdNumber()

  Specified by:
    `getCX_IdNumber` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `CX.getIdNumber()`, `Hl7v2Package.getCX()`

### getCX_AssigningAuthorityName

    public org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityName()

  Specified by:
    `getCX_AssigningAuthorityName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `CX.getAssigningAuthorityName()`, `Hl7v2Package.getCX()`

### getCX_AssigningAuthorityUniversalId

    public org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityUniversalId()

  Specified by:
    `getCX_AssigningAuthorityUniversalId` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `CX.getAssigningAuthorityUniversalId()`, `Hl7v2Package.getCX()`

### getCX_AssigningAuthorityUniversalIdType

    public org.eclipse.emf.ecore.EAttribute getCX_AssigningAuthorityUniversalIdType()

  Specified by:
    `getCX_AssigningAuthorityUniversalIdType` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `CX.getAssigningAuthorityUniversalIdType()`, `Hl7v2Package.getCX()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `Hl7v2Package`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `Hl7v2Package`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Cx

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Cx()

  Specified by:
    `getDocumentRoot_Cx` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Cx'.
  See Also:
    `DocumentRoot.getCx()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Dtm

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Dtm()

  Specified by:
    `getDocumentRoot_Dtm` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Dtm'.
  See Also:
    `DocumentRoot.getDtm()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_SourcePatientInfo

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SourcePatientInfo()

  Specified by:
    `getDocumentRoot_SourcePatientInfo` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Source Patient Info'.
  See Also:
    `DocumentRoot.getSourcePatientInfo()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Xad

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Xad()

  Specified by:
    `getDocumentRoot_Xad` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Xad'.
  See Also:
    `DocumentRoot.getXad()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Xcn

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Xcn()

  Specified by:
    `getDocumentRoot_Xcn` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Xcn'.
  See Also:
    `DocumentRoot.getXcn()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Xon

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Xon()

  Specified by:
    `getDocumentRoot_Xon` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Xon'.
  See Also:
    `DocumentRoot.getXon()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Xpn

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Xpn()

  Specified by:
    `getDocumentRoot_Xpn` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Xpn'.
  See Also:
    `DocumentRoot.getXpn()`, `Hl7v2Package.getDocumentRoot()`

### getDocumentRoot_Xtn

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Xtn()

  Specified by:
    `getDocumentRoot_Xtn` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Xtn'.
  See Also:
    `DocumentRoot.getXtn()`, `Hl7v2Package.getDocumentRoot()`

### getSourcePatientInfoType

    public org.eclipse.emf.ecore.EClass getSourcePatientInfoType()

  Specified by:
    `getSourcePatientInfoType` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'Source Patient Info Type'.
  See Also:
    `SourcePatientInfoType`

### getSourcePatientInfoType_PatientIdentifier

    public org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientIdentifier()

  Specified by:
    `getSourcePatientInfoType_PatientIdentifier` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference list 'Patient Identifier'.
  See Also:
    `SourcePatientInfoType.getPatientIdentifier()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientName

    public org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientName()

  Specified by:
    `getSourcePatientInfoType_PatientName` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference list 'Patient Name'.
  See Also:
    `SourcePatientInfoType.getPatientName()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientDateOfBirth

    public org.eclipse.emf.ecore.EAttribute getSourcePatientInfoType_PatientDateOfBirth()

  Specified by:
    `getSourcePatientInfoType_PatientDateOfBirth` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Patient Date Of Birth'.
  See Also:
    `SourcePatientInfoType.getPatientDateOfBirth()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientSex

    public org.eclipse.emf.ecore.EAttribute getSourcePatientInfoType_PatientSex()

  Specified by:
    `getSourcePatientInfoType_PatientSex` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Patient Sex'.
  See Also:
    `SourcePatientInfoType.getPatientSex()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientAddress

    public org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientAddress()

  Specified by:
    `getSourcePatientInfoType_PatientAddress` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Patient Address'.
  See Also:
    `SourcePatientInfoType.getPatientAddress()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientPhoneHome

    public org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientPhoneHome()

  Specified by:
    `getSourcePatientInfoType_PatientPhoneHome` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Patient Phone Home'.
  See Also:
    `SourcePatientInfoType.getPatientPhoneHome()`, `Hl7v2Package.getSourcePatientInfoType()`

### getSourcePatientInfoType_PatientPhoneBusiness

    public org.eclipse.emf.ecore.EReference getSourcePatientInfoType_PatientPhoneBusiness()

  Specified by:
    `getSourcePatientInfoType_PatientPhoneBusiness` in interface `Hl7v2Package`
  Returns:
    the meta object for the containment reference 'Patient Phone Business'.
  See Also:
    `SourcePatientInfoType.getPatientPhoneBusiness()`, `Hl7v2Package.getSourcePatientInfoType()`

### getXAD

    public org.eclipse.emf.ecore.EClass getXAD()

  Specified by:
    `getXAD` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'XAD'.
  See Also:
    `XAD`

### getXAD_StreetAddress

    public org.eclipse.emf.ecore.EAttribute getXAD_StreetAddress()

  Specified by:
    `getXAD_StreetAddress` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Street Address'.
  See Also:
    `XAD.getStreetAddress()`, `Hl7v2Package.getXAD()`

### getXAD_OtherDesignation

    public org.eclipse.emf.ecore.EAttribute getXAD_OtherDesignation()

  Specified by:
    `getXAD_OtherDesignation` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Other Designation'.
  See Also:
    `XAD.getOtherDesignation()`, `Hl7v2Package.getXAD()`

### getXAD_City

    public org.eclipse.emf.ecore.EAttribute getXAD_City()

  Specified by:
    `getXAD_City` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'City'.
  See Also:
    `XAD.getCity()`, `Hl7v2Package.getXAD()`

### getXAD_StateOrProvince

    public org.eclipse.emf.ecore.EAttribute getXAD_StateOrProvince()

  Specified by:
    `getXAD_StateOrProvince` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'State Or Province'.
  See Also:
    `XAD.getStateOrProvince()`, `Hl7v2Package.getXAD()`

### getXAD_ZipOrPostalCode

    public org.eclipse.emf.ecore.EAttribute getXAD_ZipOrPostalCode()

  Specified by:
    `getXAD_ZipOrPostalCode` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Zip Or Postal Code'.
  See Also:
    `XAD.getZipOrPostalCode()`, `Hl7v2Package.getXAD()`

### getXAD_Country

    public org.eclipse.emf.ecore.EAttribute getXAD_Country()

  Specified by:
    `getXAD_Country` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `XAD.getCountry()`, `Hl7v2Package.getXAD()`

### getXAD_CountyParishCode

    public org.eclipse.emf.ecore.EAttribute getXAD_CountyParishCode()

  Specified by:
    `getXAD_CountyParishCode` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'County Parish Code'.
  See Also:
    `XAD.getCountyParishCode()`, `Hl7v2Package.getXAD()`

### getXCN

    public org.eclipse.emf.ecore.EClass getXCN()

  Specified by:
    `getXCN` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'XCN'.
  See Also:
    `XCN`

### getXCN_IdNumber

    public org.eclipse.emf.ecore.EAttribute getXCN_IdNumber()

  Specified by:
    `getXCN_IdNumber` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `XCN.getIdNumber()`, `Hl7v2Package.getXCN()`

### getXCN_FamilyName

    public org.eclipse.emf.ecore.EAttribute getXCN_FamilyName()

  Specified by:
    `getXCN_FamilyName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Family Name'.
  See Also:
    `XCN.getFamilyName()`, `Hl7v2Package.getXCN()`

### getXCN_GivenName

    public org.eclipse.emf.ecore.EAttribute getXCN_GivenName()

  Specified by:
    `getXCN_GivenName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Given Name'.
  See Also:
    `XCN.getGivenName()`, `Hl7v2Package.getXCN()`

### getXCN_OtherName

    public org.eclipse.emf.ecore.EAttribute getXCN_OtherName()

  Specified by:
    `getXCN_OtherName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Other Name'.
  See Also:
    `XCN.getOtherName()`, `Hl7v2Package.getXCN()`

### getXCN_Suffix

    public org.eclipse.emf.ecore.EAttribute getXCN_Suffix()

  Specified by:
    `getXCN_Suffix` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Suffix'.
  See Also:
    `XCN.getSuffix()`, `Hl7v2Package.getXCN()`

### getXCN_Prefix

    public org.eclipse.emf.ecore.EAttribute getXCN_Prefix()

  Specified by:
    `getXCN_Prefix` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `XCN.getPrefix()`, `Hl7v2Package.getXCN()`

### getXCN_AssigningAuthorityName

    public org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityName()

  Specified by:
    `getXCN_AssigningAuthorityName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `XCN.getAssigningAuthorityName()`, `Hl7v2Package.getXCN()`

### getXCN_AssigningAuthorityUniversalId

    public org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityUniversalId()

  Specified by:
    `getXCN_AssigningAuthorityUniversalId` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `XCN.getAssigningAuthorityUniversalId()`, `Hl7v2Package.getXCN()`

### getXCN_AssigningAuthorityUniversalIdType

    public org.eclipse.emf.ecore.EAttribute getXCN_AssigningAuthorityUniversalIdType()

  Specified by:
    `getXCN_AssigningAuthorityUniversalIdType` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `XCN.getAssigningAuthorityUniversalIdType()`, `Hl7v2Package.getXCN()`

### getXON

    public org.eclipse.emf.ecore.EClass getXON()

  Specified by:
    `getXON` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'XON'.
  See Also:
    `XON`

### getXON_OrganizationName

    public org.eclipse.emf.ecore.EAttribute getXON_OrganizationName()

  Specified by:
    `getXON_OrganizationName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Organization Name'.
  See Also:
    `XON.getOrganizationName()`, `Hl7v2Package.getXON()`

### getXON_IdNumber

    public org.eclipse.emf.ecore.EAttribute getXON_IdNumber()

  Specified by:
    `getXON_IdNumber` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Id Number'.
  See Also:
    `XON.getIdNumber()`, `Hl7v2Package.getXON()`

### getXON_AssigningAuthorityName

    public org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityName()

  Specified by:
    `getXON_AssigningAuthorityName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Name'.
  See Also:
    `XON.getAssigningAuthorityName()`, `Hl7v2Package.getXON()`

### getXON_AssigningAuthorityUniversalId

    public org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityUniversalId()

  Specified by:
    `getXON_AssigningAuthorityUniversalId` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id'.
  See Also:
    `XON.getAssigningAuthorityUniversalId()`, `Hl7v2Package.getXON()`

### getXON_AssigningAuthorityUniversalIdType

    public org.eclipse.emf.ecore.EAttribute getXON_AssigningAuthorityUniversalIdType()

  Specified by:
    `getXON_AssigningAuthorityUniversalIdType` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Assigning Authority Universal Id Type'.
  See Also:
    `XON.getAssigningAuthorityUniversalIdType()`, `Hl7v2Package.getXON()`

### getXPN

    public org.eclipse.emf.ecore.EClass getXPN()

  Specified by:
    `getXPN` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'XPN'.
  See Also:
    `XPN`

### getXPN_FamilyName

    public org.eclipse.emf.ecore.EAttribute getXPN_FamilyName()

  Specified by:
    `getXPN_FamilyName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Family Name'.
  See Also:
    `XPN.getFamilyName()`, `Hl7v2Package.getXPN()`

### getXPN_GivenName

    public org.eclipse.emf.ecore.EAttribute getXPN_GivenName()

  Specified by:
    `getXPN_GivenName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Given Name'.
  See Also:
    `XPN.getGivenName()`, `Hl7v2Package.getXPN()`

### getXPN_OtherName

    public org.eclipse.emf.ecore.EAttribute getXPN_OtherName()

  Specified by:
    `getXPN_OtherName` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Other Name'.
  See Also:
    `XPN.getOtherName()`, `Hl7v2Package.getXPN()`

### getXPN_Suffix

    public org.eclipse.emf.ecore.EAttribute getXPN_Suffix()

  Specified by:
    `getXPN_Suffix` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Suffix'.
  See Also:
    `XPN.getSuffix()`, `Hl7v2Package.getXPN()`

### getXPN_Prefix

    public org.eclipse.emf.ecore.EAttribute getXPN_Prefix()

  Specified by:
    `getXPN_Prefix` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Prefix'.
  See Also:
    `XPN.getPrefix()`, `Hl7v2Package.getXPN()`

### getXTN

    public org.eclipse.emf.ecore.EClass getXTN()

  Specified by:
    `getXTN` in interface `Hl7v2Package`
  Returns:
    the meta object for class 'XTN'.
  See Also:
    `XTN`

### getXTN_UnformattedTelephoneNumber

    public org.eclipse.emf.ecore.EAttribute getXTN_UnformattedTelephoneNumber()

  Specified by:
    `getXTN_UnformattedTelephoneNumber` in interface `Hl7v2Package`
  Returns:
    the meta object for the attribute 'Unformatted Telephone Number'.
  See Also:
    `XTN.getUnformattedTelephoneNumber()`, `Hl7v2Package.getXTN()`

### getDTM

    public org.eclipse.emf.ecore.EDataType getDTM()

  Specified by:
    `getDTM` in interface `Hl7v2Package`
  Returns:
    the meta object for data type 'DTM'.
  See Also:
    `String`

### getOid

    public org.eclipse.emf.ecore.EDataType getOid()

  Specified by:
    `getOid` in interface `Hl7v2Package`
  Returns:
    the meta object for data type 'Oid'.
  See Also:
    `String`

### getHl7v2Factory

    public Hl7v2Factory getHl7v2Factory()

  Specified by:
    `getHl7v2Factory` in interface `Hl7v2Package`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD